Show / Hide Table of Contents

# Class ImGui_Impl_OpenGL3

Currently undocumented because it is a horrible mess. A near-direct port of https://github.com/ocornut/imgui/blob/master/examples/imgui_impl_opengl3.cpp State backup IS done for this renderer, because SDL does not play nicely when using OpenGL.

##### Inheritance

System.Object
ImGui_Impl_OpenGL3

##### Implements

IImGuiRenderer

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class ImGui_Impl_OpenGL3 : IImGuiRenderer

### Methods

| Improve this Doc View Source

#### Init(Object[])

##### Declaration

    public void Init(params object[] initParams)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object[] | initParams |

| Improve this Doc View Source

#### NewFrame()

##### Declaration

    public void NewFrame()

| Improve this Doc View Source

#### RenderDrawData(ImDrawDataPtr)

##### Declaration

    public void RenderDrawData(ImDrawDataPtr drawData)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawDataPtr | drawData |

| Improve this Doc View Source

#### Shutdown()

##### Declaration

    public void Shutdown()

### Implements

IImGuiRenderer